Subject: Module For Intercepting Fully Constructed IPv6 Packets

From: Matthew Jakeman <[email-masked]>
Date: Thu, 30 Apr 2009 22:20:47 +0100

Hi,

I am pondering attempting to write a module that will allow me to 
intercept an IPv6 packet once it has been fully constructed (so just 
before it gets passed to the output interface). The point of this is so 
that I can play around with the packets construction however I please to 
try out a few things.

I have successfully implemented one version of my code on FreeBSD. 
However this is done directly inside the kernel and I would like to 
attempt a Linux implementation as a module for greater flexibility.

I have only just started looking into this and was wondering if anyone 
could give me any pointers on how I might be able to achieve this. I am 
fairly new in the world of Linux kernel hacking with most of my previous 
experience being working with the FreeBSD kernel.

Any pointers will be much appreciated.

Cheers
Matt